<template>
  <template v-if="gameEntrySelected.length > 0">
    <div
      v-for="game in gameEntrySelected"
      :key="game.GameId"
      class="flex justify-center w-full"
    >
      <new-black-theme-m-vertical-game-entry
        :is-multiple-provider="providerCount[game.GameProviderName] > 1"
        :game="game"
      />
    </div>
  </template>
  <div
    v-else
    class="w-full my-[60px] overflow-hidden text-xl text-center truncate no-data text-ellipsis"
  >
    {{ $t("no_games_please_come_back_later") }}
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, ref } from "vue";
import {
  useGameEntryBaseOnTabSelected,
  handleGameEntryOpenWindow,
} from "@/composables/useTheme";
import { store } from "@/store";
import textHelper from "@/utils/formatHelpers/textFormatHelper";

export default defineComponent({
  setup() {
    const authenticated = computed(() => store.state.auth);
    const isGameLoading = computed(() => store.state.isGameUpdateLoading);
    const { gameEntrySelected } = useGameEntryBaseOnTabSelected();
    const providerCount = computed(() =>
      textHelper.checkMultiple(gameEntrySelected.value)
    );
    return {
      authenticated,
      isGameLoading,
      gameEntrySelected,
      handleGameEntryOpenWindow,
      providerCount,
    };
  },
});
</script>
